/*
 * Copyright (c) 2005 CNRS/LAAS
 *
 * Permission to use, copy, modify, and distribute this software for any
 * purpose with or without fee is hereby granted, provided that the above
 * copyright notice and this permission notice appear in all copies.
 *
 * THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
 * WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
 * ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
 * WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
 * ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
 * OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
 */

#ifndef _JOYSTICK_H
#define _JOYSTICK_H

/* Values for the Logiciteck Rumble 2 joystick used on jido */
#define JOYSTICK_N_AXES 6
#define JOYSTICK_N_BUTTONS 12

typedef struct JOYSTICK_STR {
	int fd;
	int buttons[JOYSTICK_N_BUTTONS];
	int axes[JOYSTICK_N_AXES];
} JOYSTICK_STR;

extern JOYSTICK_STR *joystickInit(char *);
extern void joystickEnd(JOYSTICK_STR *);
extern int joystickPoll(JOYSTICK_STR *);

#endif
